(* HCoop Domtool (http://hcoop.sourceforge.net/)
 * Copyright (c) 2007, Adam Chlipala
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *)

(* Derived directives of general use *)

structure EasyDomain :> EASY_DOMAIN = struct

open Ast

val dl = ErrorMsg.dummyLoc

val _ = Defaults.registerDefault ("WWW",
				  (TAction ((CConst "Vhost", dl),
					    StringMap.empty,
					    StringMap.empty), dl),
				  (fn () => (ESkip, dl)))

val _ = Defaults.registerDefault ("CreateWWW",
				  (TBase "bool", dl),
				  (fn () => (EVar "true", dl)))

val _ = Defaults.registerDefault ("DefaultA",
				  (TBase "bool", dl),
				  (fn () => (EVar "true", dl)))

val _ = Defaults.registerDefault ("DefaultAlias",
				  (TBase "bool", dl),
				  (fn () => (EVar "true", dl)))

val _ = Defaults.registerDefault ("HandleMail",
				  (TBase "bool", dl),
				  (fn () => (EVar "true", dl)))

val _ = Defaults.registerDefault ("AddMX",
				  (TBase "bool", dl),
				  (fn () => (EVar "true", dl)))

val _ = Defaults.registerDefault ("DefaultWebNode",
				  (TBase "web_node", dl),
				  (fn () => (EString "navajos", dl)))

end
